package com.sunxung.factoring.entity.creditresolution;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.entprise.Enterprise;
import com.sunxung.factoring.entity.project.ProjectInformation;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * <p>
 * 复议调整
 * </p>
 *
 * @author liutao
 * @since 2023-12-21
 */
@TableName("reconsider_adjust")
public class ReconsiderAdjust {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 授信决议id
     */
    @TableField("credit_resolution_id")
    private Long creditResolutionId;

    /**
     * 申请理由
     */
    @TableField("reason")
    private String reason;

    /**
     * 调整类型
     */
    @TableField("adjust_type")
    private String adjustType;

    /**
     * 调整类型 当为其他时，展示，必填文本框
     */
    @TableField("adjust_type_detail")
    private String adjustTypeDetail;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 文件
     */
    @TableField(exist = false)
    private List<Long> files;
    /**
     * 文件
     */
    @TableField(exist = false)
    private List<FileStorage> fileStorages;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private ProjectInformation projectInformation;

    @TableField(exist = false)
    private Enterprise supplierEnterprise;

    @TableField(exist = false)
    private Enterprise coreEnterprise;

    public List<FileStorage> getFileStorages() {
        return fileStorages;
    }

    public void setFileStorages(List<FileStorage> fileStorages) {
        this.fileStorages = fileStorages;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public ProjectInformation getProjectInformation() {
        return projectInformation;
    }

    public void setProjectInformation(ProjectInformation projectInformation) {
        this.projectInformation = projectInformation;
    }

    public Enterprise getSupplierEnterprise() {
        return supplierEnterprise;
    }

    public void setSupplierEnterprise(Enterprise supplierEnterprise) {
        this.supplierEnterprise = supplierEnterprise;
    }

    public Enterprise getCoreEnterprise() {
        return coreEnterprise;
    }

    public void setCoreEnterprise(Enterprise coreEnterprise) {
        this.coreEnterprise = coreEnterprise;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<Long> getFiles() {
        return files;
    }

    public void setFiles(List<Long> files) {
        this.files = files;
    }

    public Long getCreditResolutionId() {
        return creditResolutionId;
    }

    public void setCreditResolutionId(Long creditResolutionId) {
        this.creditResolutionId = creditResolutionId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getAdjustType() {
        return adjustType;
    }

    public void setAdjustType(String adjustType) {
        this.adjustType = adjustType;
    }

    public String getAdjustTypeDetail() {
        return adjustTypeDetail;
    }

    public void setAdjustTypeDetail(String adjustTypeDetail) {
        this.adjustTypeDetail = adjustTypeDetail;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}
